Create an invite – Management API – MediaKind
Create an invite
post https://app.mk.io/api/v1/organization/invites
This endpoint allows you to create a new invitation which will grant a user access to this organization's resources within MK.IO.
You can include a comment which will be visible against this user's record when they accept the invitation, e.g. "Contractor for project Delphi".
RBAC Capability Required: core.invite.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Request
This endpoint expects an object.
specobject InviteSpecSchema Required
Specification
Show 6 propertiesHide 6 properties
- comment
stringRequired
Comment to explain why the user has been invited to collaborate with your organization - email
stringRequired
Email of the user to be invited - teams
list of stringsOptional
List of team names to add this user to when they accept.
Response
201 OK
- kind
stringOptional
The kind of record. - metadata
objectInviteMetadataSchema Optional
Metadata
Show 2 propertiesHide 2 properties
- created
stringOptional format: date-time
The time when the resource was created - id
stringRequired format: uuid
The ID of the resource - spec
objectInviteSpecSchema Required
Specification
Show 6 propertiesHide 6 properties
- comment
stringRequired
Comment to explain why the user has been invited to collaborate with your organization - email
stringRequired
Email of the user to be invited - invitedByEmail
stringRequired
Contact email of user who made the invite - invitedByName
stringRequired
Name of user who made the invite - organizationName
stringRequired
Name of the organization the invite refers to - teams
list of stringsOptional
List of team names to add this user to when they accept.
Errors
400 Bad Request
- error
objectErrorDetail Required
Pertinent information about the error
Show 3 propertiesHide 3 properties
- code
stringRequired
The error code. - detail
stringRequired
The error message. - extraDetail
map from strings to anyOptional
Extra information regarding this error. - ref
stringRequired
A reference to the request that caused the error. - status
integerRequired
The HTTP status code
401 Unauthorized
... (similar error structure continues for 403, 404, 409, 429, 500 with only status text and details differing)